commit:     5cd5cd2493df349f4cebab5b228e2b5efc90a70e
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 21 04:00:19 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Apr 21 04:00:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cd5cd24

games-puzzle/lightsoff: Fix appdata version info

Closes: https://bugs.gentoo.org/778845
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 games-puzzle/lightsoff/lightsoff-40.0.1.ebuild | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/games-puzzle/lightsoff/lightsoff-40.0.1.ebuild 
b/games-puzzle/lightsoff/lightsoff-40.0.1.ebuild
index 47b3e2b9932..211499a9c37 100644
--- a/games-puzzle/lightsoff/lightsoff-40.0.1.ebuild
+++ b/games-puzzle/lightsoff/lightsoff-40.0.1.ebuild
@@ -33,6 +33,13 @@ BDEPEND="
 src_prepare() {
        xdg_src_prepare
        vala_src_prepare
+
+       # Bug #778845
+       sed -i \
+               -e 's:40\.rc:40~rc:' \
+               -e 's:40\.beta:40~beta:' \
+               -e 's:40\.alpha:40~alpha:' \
+               data/org.gnome.LightsOff.appdata.xml.in || die
 }
 
 pkg_postinst() {

Reply via email to